
Redmine - Defect #18572

some problems with file uploader

2014-12-05 01:39 - tester testownik

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.6.0

Description

I'm just using redmine on some project (I'm not admin) and was asked to pass it forward, so apologies if some infos are incomplete.

But this is a general problem, probably related to this: #3957

The redmine was updated to most recent official version few days ago, and a problem occurred with file uploader.

1) If the "add file" button is not clicked, the file should be deleted from the server.

2) It starts uploading a file after selecting the file, and not after deciding to create the ticket (in earlier version, the file was uploaded

after final confirmation on ticket).

Doesn't seem to be configurable, and you cannot cancel a file once it's been uploaded (so it will use server space, even if you don't

click the "add" button.

History

#1 - 2014-12-05 01:41 - tester testownik

Environment:

Redmine version                2.6.0.stable

Ruby version                   1.8.7-p302 (2010-08-16) [i486-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               MySQL

#2 - 2014-12-05 03:44 - Toshi MARUYAMA

- Description updated

#3 - 2014-12-05 03:45 - Toshi MARUYAMA

- Category changed from Files to Attachments

#4 - 2014-12-05 03:49 - Toshi MARUYAMA

- Status changed from New to Closed

Please contact your administrator.

It seems your server setting problem.

And please use forum.

#5 - 2014-12-05 03:49 - Toshi MARUYAMA

tester testownik wrote:

Ruby version                   1.8.7-p302 (2010-08-16) [i486-linux]

 Too old.

#6 - 2014-12-05 03:53 - Go MAEDA

Please run rake redmine:attachments:prune on the server and you can delete unnecessary files.

#7 - 2022-03-31 01:54 - Go MAEDA
https://www.redmine.org/issues/3957


- Related to Defect #22176: Orphaned attachments added

#8 - 2022-03-31 01:56 - Go MAEDA

- Related to deleted (Defect #22176: Orphaned attachments)
